#
# spec file for package lxde-common
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           lxde-common
Version:        0.5.0
Release:        19.20.1
License:        GPLv2
Url:            http://www.lxde.org/
Source0:        %name-%version.tar.bz2
Source1:        lxde-new-wallpapers.tar.bz2
Source2:        lxde-lock-screen.desktop
Patch0:         %name-startlxde.diff
Patch1:         %name-0.5.0-pcmanfm2.patch
Patch2:         %name-0.5.0-lxde.desktop.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf automake intltool update-desktop-files
BuildRequires:  docbook-utils docbook-xsl-stylesheets fdupes libxslt
Group:          System/GUI/LXDE
Summary:        This package provides a set of default configuration for LXDE
BuildArch:      noarch
Provides:       lxde-settings-daemon >= %version
Obsoletes:      lxde-settings-daemon < %version
Requires:       lxde-common-branding
%if 0%{?suse_version} >= 1140
Recommends:     gtk2-engines
%endif

%description
Lxde-common package provides a set of default configuration for LXDE.
It's an LXDE core package, since without it LXDE cannot run

%package 	branding-upstream
License:        GPLv2
Group:          System/GUI/LXDE
Summary:        Upstream branding
Supplements:    packageand(lxde-common:branding-upstream)
Conflicts:      otherproviders(lxde-common-branding)
Provides:       lxde-common-branding = %{version}

%description branding-upstream
This branding-style package sets default applications in LXDE in openSUSE.
This is a dumb package, which provides only upstream LXDE configurations as preferred defaults.
You most probably don't want this package. You probably want to install distribution default
lxde-common-branding and prefer openSUSE defaults settings.

%prep
%setup -q -n %name-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
autoreconf -fi
%configure --enable-man
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall
mkdir -p %buildroot/usr/share/applications
install -c -m 644 lxde-logout.desktop %buildroot/%_datadir/applications/lxde-logout.desktop
install -c -m 644 %SOURCE2 %buildroot/%_datadir/applications/
%suse_update_desktop_file %buildroot/%_datadir/applications/lxde-logout.desktop
%suse_update_desktop_file %buildroot/%_datadir/applications/lxde-lock-screen.desktop
%suse_update_desktop_file %buildroot/%_datadir/xsessions/lxde.desktop
cd %buildroot/%_datadir/lxde/wallpapers
tar xjf %SOURCE1
mv %buildroot/%_datadir/lxde/wallpapers/lxde-new-wallpapers/* %buildroot/%_datadir/lxde/wallpapers/
rm -rf %buildroot/%_datadir/lxde/wallpapers/lxde-new-wallpapers
%fdupes -s %{buildroot}

%clean
rm -rf %buildroot

%if 0%{?suse_version} >= 1140

%post
%desktop_database_post

%postun
%desktop_database_postun
%endif

%files 
%defattr(-,root,root)
%_bindir/openbox-lxde
%_bindir/startlxde
%dir %_datadir/lxde
%dir %_datadir/lxde/wallpapers
%_datadir/lxde/wallpapers/*
%_datadir/man/man1/*
%_datadir/xsessions/lxde.desktop
%_datadir/applications/lxde-logout.desktop
%_datadir/applications/lxde-lock-screen.desktop

%files branding-upstream
%defattr(-,root,root)
%_bindir/lxde-logout
%dir %_datadir/lxde/pcmanfm
%_datadir/lxde/pcmanfm/pcmanfm.conf
%dir %_datadir/lxde/openbox
%_datadir/lxde/openbox/*.xml
%dir %_datadir/lxpanel
%dir %_datadir/lxpanel/profile
%dir %_datadir/lxpanel/profile/LXDE
%_datadir/lxpanel/profile/LXDE/config
%dir %_datadir/lxpanel/profile/LXDE/panels
%_datadir/lxpanel/profile/LXDE/panels/panel
%dir %_datadir/lxde/images
%_datadir/lxde/images/logout-banner.png
%_datadir/lxde/images/lxde-icon.png
%dir %_sysconfdir/xdg/lxsession
%dir %_sysconfdir/xdg/lxsession/LXDE
%config %_sysconfdir/xdg/lxsession/LXDE/autostart
%config %_sysconfdir/xdg/lxsession/LXDE/desktop.conf

%changelog
* Thu Jul 21 2011 andrea@opensuse.org
- fixed branding package dependency
* Sun Jul 10 2011 andrea@opensuse.org
- removed useless pkgconfig and gtk2-devel buildrequires
- added URL tag
- fixed license tag
* Wed Mar 23 2011 andrea@opensuse.org
- added gtk2-engines on suse 11.4 to fix ugly appereance
* Mon Mar 14 2011 gber@opensuse.org
- call %%desktop_database_post/un
* Wed Feb  2 2011 gber@opensuse.org
- rename session file from LXDE.desktop to lxde.desktop
* Sun Nov 21 2010 andrea@opensuse.org
- Improved startlxde script to fix black background of first login
* Wed Nov  3 2010 andrea@opensuse.org
- Fixed startlxde script to copy pcmanfm.conf in the proper
  location bnc#651089
* Mon Jun  7 2010 andrea@opensuse.org
- changed RPM Group to System/GUI/LXDE
* Tue May 18 2010 andrea@opensuse.org
- Sync pcmanfm.conf with new one from pcmanfm 0.9.5
* Fri Mar 26 2010 andrea@opensuse.org
- modified lxde-common-startlxde.diff patch to fix bnc#591407
* Mon Mar  1 2010 andrea@opensuse.org
- added lxde-common-0.5.0-pcmanfm2.patch to switch to pcmanfm2
* Tue Feb  9 2010 andrea@opensuse.org
- lxsession export dbus information now, gnome-keyring now work
  out of the box. Fixed bnc#564703
* Thu Dec 24 2009 andrea@opensuse.org
- spec file cleanup
* Wed Dec 23 2009 andrea@opensuse.org
- added workaround to bnc#564703
* Fri Dec 11 2009 andrea@opensuse.org
- new upstream version 0.5.0
* Sun Oct 25 2009 andrea@opensuse.org
- improved startlxde.diff to respect XDG system variables
  based also on LOCALE settings
* Fri Jul 17 2009 andrea@opensuse.org
- upgrade to svn 1835, lxde-settings-daemon now obsoletes
- created branding upstream package
* Wed Jul  8 2009 andrea@opensuse.org
- New upstream version 0.4.2
* Sat May 30 2009 andrea@opensuse.org
- added pcmanfm default settings
- added workaround for lxpanel x86_64 issue
* Sat May 23 2009 andrea@opensuse.org
- new package
